import Vue from 'vue'
import App from './App'
import { myRequest } from 'util/api.js'
Vue.config.productionTip = false
import MinCache from './static/cache.js'
import dmLoginNotice from './components/subComponents/dmLoginNotice.vue'
import dmLogin from './components/subComponents/dmLogin.vue'

Vue.prototype.$myRequest = myRequest
import mixin from 'static/mixin.js'
Vue.use(mixin);
Vue.use(MinCache,{timeout:1800}) //缓存时间30分钟

Vue.component('login-notice',dmLoginNotice)
Vue.component('login',dmLogin)

App.mpType = 'app'


const app = new Vue({
    ...App
})
app.$mount()
